Package helma.scripting

# Class ScriptingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
helma.scripting.ScriptingException

All Implemented Interfaces:
  `Serializable`

public class ScriptingException extends Exception
The base class for wrapped exceptions thrown by invocation of the scripting engine. If the wrapped exception is a RhinoException, the script stack trace will be prepended to the actual java stack trace in stack dumps.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScriptingException(String message, Throwable cause)`
Construct a ScriptingException given an error message and wrapped exception.

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStackTrace()`
Get the java stack trace.
`String`
`getScriptStackTrace()`
Get the script stack, or null if none is available
`void`
`printStackTrace(PrintStream s)`
`void`
`printStackTrace(PrintWriter s)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScriptingException

public ScriptingException(String message, Throwable cause)
Construct a ScriptingException given an error message and wrapped exception.

Parameters:
  `message` - the message
  `cause` - the original exception

## Method Details

### getScriptStackTrace

public String getScriptStackTrace()
Get the script stack, or null if none is available

Returns:
  the script stack trace

### getJavaStackTrace

public String getJavaStackTrace()
Get the java stack trace.

Returns:
  the java stack trace

### printStackTrace

public void printStackTrace(PrintStream s)

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintWriter s)

Overrides:
  `printStackTrace` in class `Throwable`